<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>Flair: flair::core::cvmatrix_descriptor Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Flair
   </div>
   <div id="projectbrief">Framework Libre Air</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classflair_1_1core_1_1cvmatrix__descriptor.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classflair_1_1core_1_1cvmatrix__descriptor-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">flair::core::cvmatrix_descriptor Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Class describing cvmatrix elements, for log and graphs purpose.  
 <a href="classflair_1_1core_1_1cvmatrix__descriptor.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="cvmatrix__descriptor_8h_source.html">cvmatrix_descriptor.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:abe29e1334e98f2581a7f3c4d2dba3211"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1cvmatrix__descriptor.html#abe29e1334e98f2581a7f3c4d2dba3211">cvmatrix_descriptor</a> (uint32_t rows, uint32_t cols)</td></tr>
<tr class="memdesc:abe29e1334e98f2581a7f3c4d2dba3211"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#abe29e1334e98f2581a7f3c4d2dba3211">More...</a><br /></td></tr>
<tr class="separator:abe29e1334e98f2581a7f3c4d2dba3211"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1abe66646468d9bf743d21adc028eaf3"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1cvmatrix__descriptor.html#a1abe66646468d9bf743d21adc028eaf3">~cvmatrix_descriptor</a> ()</td></tr>
<tr class="memdesc:a1abe66646468d9bf743d21adc028eaf3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#a1abe66646468d9bf743d21adc028eaf3">More...</a><br /></td></tr>
<tr class="separator:a1abe66646468d9bf743d21adc028eaf3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6b68acb9a1db79573780370c54b6d077"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1cvmatrix__descriptor.html#a6b68acb9a1db79573780370c54b6d077">SetElementName</a> (uint32_t row, uint32_t col, std::string name)</td></tr>
<tr class="memdesc:a6b68acb9a1db79573780370c54b6d077"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set element name.  <a href="#a6b68acb9a1db79573780370c54b6d077">More...</a><br /></td></tr>
<tr class="separator:a6b68acb9a1db79573780370c54b6d077"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6bb368cea0ea8e947446d4d468f0a7bc"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1cvmatrix__descriptor.html#a6bb368cea0ea8e947446d4d468f0a7bc">ElementName</a> (uint32_t row, uint32_t col) const </td></tr>
<tr class="memdesc:a6bb368cea0ea8e947446d4d468f0a7bc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Element name.  <a href="#a6bb368cea0ea8e947446d4d468f0a7bc">More...</a><br /></td></tr>
<tr class="separator:a6bb368cea0ea8e947446d4d468f0a7bc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af29d7a83feaaa169ba44719165b3f85b"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1cvmatrix__descriptor.html#af29d7a83feaaa169ba44719165b3f85b">Rows</a> (void) const </td></tr>
<tr class="memdesc:af29d7a83feaaa169ba44719165b3f85b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Number of rows.  <a href="#af29d7a83feaaa169ba44719165b3f85b">More...</a><br /></td></tr>
<tr class="separator:af29d7a83feaaa169ba44719165b3f85b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab27faf7fde9bbe28037e7f7e435cc7c8"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1cvmatrix__descriptor.html#ab27faf7fde9bbe28037e7f7e435cc7c8">Cols</a> (void) const </td></tr>
<tr class="memdesc:ab27faf7fde9bbe28037e7f7e435cc7c8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Number of colomns.  <a href="#ab27faf7fde9bbe28037e7f7e435cc7c8">More...</a><br /></td></tr>
<tr class="separator:ab27faf7fde9bbe28037e7f7e435cc7c8"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Class describing cvmatrix elements, for log and graphs purpose. </p>
<p>This class allows to give a name to matrix elements. These names will be used in graphs and logs. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="abe29e1334e98f2581a7f3c4d2dba3211"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">flair::core::cvmatrix_descriptor::cvmatrix_descriptor </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>rows</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>cols</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Constructor. </p>
<p>Construct a matrix descriptor.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">rows</td><td>matrix rows </td></tr>
    <tr><td class="paramname">cols</td><td>matrix cols </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a1abe66646468d9bf743d21adc028eaf3"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">flair::core::cvmatrix_descriptor::~cvmatrix_descriptor </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Destructor. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a6b68acb9a1db79573780370c54b6d077"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void flair::core::cvmatrix_descriptor::SetElementName </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>row</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>col</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>name</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set element name. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">row</td><td>element row </td></tr>
    <tr><td class="paramname">col</td><td>element col </td></tr>
    <tr><td class="paramname">name</td><td>element name </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a6bb368cea0ea8e947446d4d468f0a7bc"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string flair::core::cvmatrix_descriptor::ElementName </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>row</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>col</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Element name. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">row</td><td>element row </td></tr>
    <tr><td class="paramname">col</td><td>element col</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>element name </dd></dl>

</div>
</div>
<a class="anchor" id="af29d7a83feaaa169ba44719165b3f85b"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t flair::core::cvmatrix_descriptor::Rows </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Number of rows. </p>
<dl class="section return"><dt>Returns</dt><dd>rows </dd></dl>

</div>
</div>
<a class="anchor" id="ab27faf7fde9bbe28037e7f7e435cc7c8"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t flair::core::cvmatrix_descriptor::Cols </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Number of colomns. </p>
<dl class="section return"><dt>Returns</dt><dd>colomns </dd></dl>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceflair.html">flair</a></li><li class="navelem"><a class="el" href="namespaceflair_1_1core.html">core</a></li><li class="navelem"><a class="el" href="classflair_1_1core_1_1cvmatrix__descriptor.html">cvmatrix_descriptor</a></li>
    <li class="footer">Generated on Thu Jan 31 2019 12:34:23 for Flair by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>
  </ul>
</div>
</body>
</html>
